package inn.ocsf.bee.freigeld.core.model;

import java.util.UUID;

public interface Coin {
    UUID getId();

    CoinValue getValue();

    default Long getCurrent() {
        return getValue().getAmount() - (getEra() * getValue().getDelta());
    }

    int getEra();

    void incEra();
}
